﻿using Microsoft.EntityFrameworkCore;
using Portfolio.Domain.Features.Pokemon_Subskills;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Portfolio.Infrastructure.Repositories
{
    public class PokemonSubskillRepository : IPokemonSubskillRepository
    {
        private readonly ApplicationDbContext _context;

        public PokemonSubskillRepository(ApplicationDbContext context)
        {
            _context = context;
        }
        public async Task<List<PokemonSubskill>> GetAllPokemonSubskillsAsync()
        {
            return await _context.PokemonSubskills.ToListAsync();
        }
    }
}
